/**
 * @file opus_vad_parser.h
 * @brief write some brief information here.
 *
 * @author ingyu.kang(skkig1@gmail.com)
 * @date 2017-08-16
 *
 */


#ifndef __OPUS_VAD_PARSER_H__
#define __OPUS_VAD_PARSER_H__

/*************************************************************************
* INCLUDE
*************************************************************************/
#include "opus.h"
/*************************************************************************
* DATA STRUCTURE
*************************************************************************/

/*************************************************************************
* API DEFINITION
*************************************************************************/
/** Gets VAD information from opus frame.
  * In the CELT mode, all are assumed to be active frame.
  *
  * @param [in] data <tt>char*</tt>: Input payload. Use a NULL pointer to indicate DTX.
  * @param [in] len <tt>opus_int32</tt>: Number of bytes in payload. If len is zero to indicate DTX.
  *
  * @returns VAD value.
  * @retval 0 Silence frame.
  * @retval 1 Active frame.
  */
opus_int32 opus_get_vad_info_from_one_frame(unsigned char *data, opus_uint32 len);


#endif /* __OPUS_VAD_PARSER_H__ */

